org.apache.lucene.search

## Class DisiWrapper

- java.lang.Object
- - org.apache.lucene.search.DisiWrapper

-     public class DisiWrapper
      extends Object

  Wrapper used in `DisiPriorityQueue`.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `DocIdSetIterator` | `approximation`
    `long` | `cost`
    `int` | `doc`
    `DocIdSetIterator` | `iterator`
    `int` | `lastApproxMatchDoc`
    `int` | `lastApproxNonMatchDoc`
    `float` | `matchCost`
    `DisiWrapper` | `next`
    `Scorer` | `scorer`
    `Spans` | `spans`
    `TwoPhaseIterator` | `twoPhaseView`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DisiWrapper(Scorer scorer)`
    `DisiWrapper(Spans spans)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### iterator

          public final DocIdSetIterator iterator

    - #### scorer

          public final Scorer scorer

    - #### cost

          public final long cost

    - #### matchCost

          public final float matchCost

    - #### doc

          public int doc

    - #### next

          public DisiWrapper next

    - #### approximation

          public final DocIdSetIterator approximation

    - #### twoPhaseView

          public final TwoPhaseIterator twoPhaseView

    - #### spans

          public final Spans spans

    - #### lastApproxMatchDoc

          public int lastApproxMatchDoc

    - #### lastApproxNonMatchDoc

          public int lastApproxNonMatchDoc

  - ### Constructor Detail

    - #### DisiWrapper

          public DisiWrapper(Scorer scorer)

    - #### DisiWrapper

          public DisiWrapper(Spans spans)

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.